summaryrefslogtreecommitdiff
path: root/fml/utils
diff options
context:
space:
mode:
authorfukachan <fukachan>2005-06-04 09:47:39 +0000
committerfukachan <fukachan>2005-06-04 09:47:39 +0000
commit668128b41adb2ab54c2659593af2ea1adc0cb493 (patch)
tree33d10fe940bfd146fc7bec339a1d977f26a7d0a8 /fml/utils
parent960680178f8a265353df9189ba885d00a9108dc5 (diff)
downloadfml8-668128b41adb2ab54c2659593af2ea1adc0cb493.tar.gz
fml8-668128b41adb2ab54c2659593af2ea1adc0cb493.tar.bz2
fml8-668128b41adb2ab54c2659593af2ea1adc0cb493.zip
define FML_CURRENT_VERSION in CHANGES.txt (temporary solution).
show_version.sh utility shows the current version.
Diffstat (limited to 'fml/utils')
-rwxr-xr-xfml/utils/bin/show_version.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/fml/utils/bin/show_version.sh b/fml/utils/bin/show_version.sh
new file mode 100755
index 00000000..ba57d153
--- /dev/null
+++ b/fml/utils/bin/show_version.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# $FML$
+#
+
+if [ -f CHANGES.txt ];then
+ version=`egrep '^ *FML_CURRENT_VERSION' CHANGES.txt|sed 's/.*=//' `
+ echo fml-$version
+else
+ exit 1
+fi
+
+exit 0;